[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: perl problem


Can any perl experts see what is wrong here?

Starting amavisd: Bareword "SO_REUSEPORT" not allowed while "strict subs" in use at /usr/share/perl/5.6.1/IO/Socket/INET.pm line 159.
Compilation failed in require at /usr/lib/perl/5.6.1/IO/Socket.pm line 21.
Compilation failed in require at /usr/sbin/amavisd line 386.
BEGIN failed--compilation aborted at /usr/sbin/amavisd line 386.

The same code works fine in my system...

On Fri, 2002-07-05 at 13:15, John Egan wrote:
> This setup was originally potato, then apt sources where pointed to woody then
> apt-get update/upgrade/dist-upgrade/dselect-upgrade where done. In addition
> prior to sending in the problem report, I did a '--reinstall' of perl and then
> a 'forced purged', then an install. The message below was present the first
> time I did an install of amavis. The 'Bareword "SO_REUSEPORT"' problem also
> appeared when trying to update perl with cpan. 
> Whilst perl appears to be ok and updated with 'bundle::cpan' there is no doubt
> some residual problem is appearing in this amavis install. I might cut my losses , split the drive into two partitions, do a net install of woody on the new partition and get back to the task of establishing a new email server with postfix-amavis-pop-imap-sqwebmail-ldap-etc. 
> Then I can at a later time try to determine the cause of this problem and hopefully learn something.
> Any suggestions will be appreciated. 
Brian May <bam@snoopy.apana.org.au>

To UNSUBSCRIBE, email to debian-devel-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Reply to: